## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iaws/aws.h File Reference

Advanced Windowing System. More...

`#include "csutil/scf.h"`
`#include "csutil/refarr.h"`
`#include "csutil/stringarray.h"`
`#include "csgeom/csrect.h"`
`#include "csgeom/vector2.h"`
`#include "iutil/event.h"`
`#include "iutil/string.h"`

Go to the source code of this file.

## Classes

struct | iAws
| Interface for the window manager. More...
struct | iAwsComponent
| Interface that is the base of ALL components. More...
struct | iAwsComponentFactory
| Interface for component factories. More...
struct | iAwsComponentNode
| Document me!@@. More...
struct | iAwsConnectionKey
| Document me!@@. More...
struct | iAwsConnectionNodeFactory
| Interface for connection node factories. More...
struct | iAwsFloatKey
| Document me!@@. More...
struct | iAwsIntKey
| Document me!@@. More...
struct | iAwsKey
| Document me!@@. More...
struct | iAwsKeyContainer
| Document me!@@. More...
struct | iAwsKeyFactory
| Interface for key factories. More...
struct | iAwsLayoutManager
| Document me!@@. More...
struct | iAwsPointKey
| Document me!@@. More...
struct | iAwsPrefManager
| Interface for the preferences manager (window manager needs one.). More...
struct | iAwsRectKey
| Document me!@@. More...
struct | iAwsRGBKey
| Document me!@@. More...
struct | iAwsRGBKey::RGB
struct | iAwsSink
| Interface for sinks. More...
struct | iAwsSinkManager
| Interface for the sink manager. More...
struct | iAwsSlot
| Interface for signal slots (conduits). More...
struct | iAwsSource
| Interface for signal sources. More...
struct | iAwsStringKey
| Document me!@@. More...

## Defines

#define | AWS_VOIDP_IS_WARNING

## Typedefs

typedef iAwsComponent | iAwsWindow

## Variables

const bool | aws_debug = false
const int | AWSF_AlwaysEraseWindows = 1
| This flag makes the windowing system perform erases before drawing.
const int | AWSF_AlwaysRedrawWindows = 2
| This flag makes the windowing system redraw every time, which is necessary when drawing to the screen context since this gets erased every frame by the engine.
const int | AWSF_KeyboardControl = 8
| This flag allows focusing controls using TAB (CTR + TAB) key, calling Click events using ENTER key and some other features that are not finished yet.
const int | AWSF_RaiseOnMouseOver = 4
| This flag makes windows come to the front solely by moving the mouse over them.

## Detailed Description

Advanced Windowing System.

Definition in file aws.h.